"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _errors = require("./errors");

const wrapDispose = (pool, dispose) => async () => {
  if (pool.disposed) {
    throw new _errors.AlreadyDisposedError();
  }

  pool.disposed = true;
  await dispose(pool);
};

var _default = wrapDispose;
exports.default = _default;
//# sourceMappingURL=wrap-dispose.js.map